# Uses of Class
org.eclipse.birt.chart.factory.RunTimeContext.StateKey

Packages that use RunTimeContext.StateKey
Package
Description
org.eclipse.birt.chart.factory
Contains classes and interfaces used in the chart building and generation phase.

## Uses of RunTimeContext.StateKey in org.eclipse.birt.chart.factory

Fields in org.eclipse.birt.chart.factory declared as RunTimeContext.StateKey
Modifier and Type
Field
Description
`static final RunTimeContext.StateKey<IChartComputation>`
RunTimeContext.StateKey.`CHART_COMPUTATION_KEY`
Key to reference Chart Computation.
`static final RunTimeContext.StateKey<Boolean>`
RunTimeContext.StateKey.`DATA_EMPTY_KEY`
Key to reference if the data of chart is empty.
`static final RunTimeContext.StateKey<Map<Label,LabelLimiter>>`
RunTimeContext.StateKey.`LABEL_LIMITER_LOOKUP_KEY`
Key to reference LabelLimiter lookup table.
Methods in org.eclipse.birt.chart.factory that return RunTimeContext.StateKey
Modifier and Type
Method
Description
`static <T> RunTimeContext.StateKey<T>`
RunTimeContext.StateKey.`create(boolean needClear)`
Methods in org.eclipse.birt.chart.factory with parameters of type RunTimeContext.StateKey
Modifier and Type
Method
Description
`<T> T`
RunTimeContext.`getState(RunTimeContext.StateKey<T> key)`
`<T> void`
RunTimeContext.`putState(RunTimeContext.StateKey<T> key, T value)`